
package cn.orionsec.ops.constant.app;

import lombok.Getter;

@Getter
public enum TransferFileType {

    /**
     * 文件 / 文件夹
     */
    NORMAL,

    /**
     * 文件夹 zip 文件
     */
    ZIP,

    ;

    TransferFileType() {
        this.value = name().toLowerCase();
    }

    private final String value;

    public static TransferFileType of(String value) {
        if (value == null) {
            return NORMAL;
        }
        for (TransferFileType type : values()) {
            if (type.value.equals(value)) {
                return type;
            }
        }
        return NORMAL;
    }

}
